Subject: Re: [rest-discuss] MIME properties instead +

From: Subbu Allamaraju <[email-masked]>
Date: Thu, 11 Dec 2008 11:21:05 -0800

Perhaps that is a question for the HTTP-WG for clarification since  
2616 defines Accept-* as request headers.

Subbu

On Dec 11, 2008, at 10:53 AM, Bill Burke wrote:

> I do like the idea of asking the server for what data formats it
> supports though.  I wish the OPTIONS method of HTTP provided this
> information.  For example:
>
> OPTIONS /foo/bar
>
> would return a response of
>
> HTTP/1.1 200 OK
> Accept: application/xml, application/json, text/plain
> Accept-Language: en, es, fr
> Allow: GET, POST, HEAD
>
>
> Could something like this be done?  Or is this overloading OPTIONS too
> much.  The specification really doesn't say exactly what OPTIONS
> returns, but what I'm proposing does seem to fall in the definition of
> the method.